#### D.4.25.18 setNmzOption

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  setNmzOption(string s, int onoff);

Purpose:
  If `onoff=1` the option `s` is activated, and if `onoff=0` it is deactivated. The predefined Normaliz options are accessible via the following names:
  `-s: supp`
  `-t: triang`
  `-v: volume`
  `-p: hvect` deprecated, replacement:
  `-p: hvect_deg1`
  `-q: only_hvect`
  `--FVector: fvect`
  `-1: height1`
  `-G: Gorenst`
  `-w: witness`
  `--IsIntegrallyClosed: intclosed`
  `-C: classgroup`
  `-n: normal` deprecated, replacement:
  `-n: hilbbasvol`
  `-N: normal_l` deprecated, replacement:
  `-N: hilbbas`
  `-h: hilb` deprecated, replacement:
  `-h: hilbbas_hvect`
  `--MarkovBasis: groebner`
  `--GroebnerBasis: markov`
  `--Lex: lex`
  `--RevLex: revlex`
  `--DegLex: deglex`
  `-d: dual`
  `-M: genoverori`
  `-a: allf`
  `--typ: type`
  `-c: control` deprecated, replacement:
  `-c: verbose`
  `-e: errorcheck` allowed, but ignored
  `-B: bigint` Use GMP for arbitrary precision integers
  `-x=N: threads` In this case the int parameter is used to set the number of threads N, deafult 8, 0 means no explicit limiting.

  Further Normaliz otions can be adeded to tzhe nlist by addNmzOption.

Example:

    LIB "normaliz.lib";
    setNmzOption("only_hvect",1);
    ==> 1
    showNmzOptions();
    ==>  -f -q -x=8
    setNmzOption("only_hvect",0);
    ==> 1
    showNmzOptions();
    ==>  -f -x=8

See also: addNmzOption; allNmzOptions; resetNmzOptions; showNmzOptions.

User manual for Singular version 4.4.1, 2025, generated by texi2html.